/***************************************************************************
                          pfileitemlist.h  -  description
                             -------------------
    begin                : Fri Mar 22 2002
    copyright            : (C) 2002 by Tom Potrusil
    email                : potrto@centrum.cz
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PFILEITEMLIST_H
#define PFILEITEMLIST_H

#include <kfileitem.h>

/**
 * List of files @ref KFileItem that allows sorting by name.
 */
class PFileItemList: public KFileItemList {
public:
    PFileItemList(){};
    PFileItemList( const PFileItemList& list ): KFileItemList( list ){};
protected:
    virtual int compareItems ( QPtrCollection::Item item1, QPtrCollection::Item item2 ) {
    return QString::compare( ((KFileItem*)item1)->name(), ((KFileItem*)item2)->name() );
    };
};

#endif
