/***************************************************************************
                          panelconfig.h  -  description
                             -------------------
    begin                : P z 6 2002
    copyright            : (C) 2002 by Tom Potrusil
    email                : potrto@centrum.cz
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PANELCONFIG_H
#define PANELCONFIG_H

#include <qcheckbox.h>

/**
 * A widget that displays configuration of @ref PFilePanel
 */
class PanelConfig: public QWidget {
    Q_OBJECT
public:
    PanelConfig( bool left, QWidget *parent, const char *name = 0 );
    ~PanelConfig();

protected:
    bool left_panel;

    QCheckBox *dir_line;
    QCheckBox *path_combo;
    QCheckBox *info_line;
    QCheckBox *hidden_files;
    QCheckBox *size_col;
    QCheckBox *date_col;
    QCheckBox *perm_col;
    QCheckBox *owner_col;
    QCheckBox *group_col;
};

#endif
