/***************************************************************************
                          pcheckbox.cpp  -  description
                             -------------------
    begin                : Po z 30 2002
    copyright            : (C) 2002 by Tom Potrusil
    email                : potrto@centrum.cz
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "pcheckbox.h"
#include <qpainter.h>
#include <qpen.h>

PCheckBox::PCheckBox( QWidget *parent, const char *name )
    :QCheckBox( parent, name ) {
    setTristate( true );
    setNoChange();
    setPaletteForegroundColor( palette().disabled().foreground() );
    connect( this, SIGNAL(stateChanged(int)), SLOT( stateChanged(int)));
}

PCheckBox::~PCheckBox() {
}

/**
 * This method does nothing, because it isn't called as virtual.
 * I don't know where is the problem
 */
void PCheckBox::drawButton( QPainter *p ) {
    QCheckBox::drawButton( p );
}

/**
 * This method does nothing, because it isn't called as virtual.
 * I don't know where is the problem
 */
void PCheckBox::drawButtonLabel( QPainter *p ) {
    QCheckBox::drawButtonLabel( p );
}

void PCheckBox::stateChanged( int state ) {
    if( state == NoChange ) {
        setPaletteForegroundColor( palette().disabled().foreground() );
    }
    else
        unsetPalette();
}
