#include "pviewerwidget.h"
#include <qapplication.h>

PViewerWidget::PViewerWidget(QWidget *parent, const char *name )
: QDialog(parent,name) {
}

PViewerWidget::~PViewerWidget(){
}

void PViewerWidget::keyPressEvent(QKeyEvent *e) {
    switch (e->key()) {
    case Key_F10:
    case Key_Escape:
        delete this;
        break;
    case Key_F:
        if (e->state()==ControlButton) emit search();
        break;
    }
}

// overloaded to show-up centered
void PViewerWidget::show() {
    move( QApplication::desktop()->width()/2-(width()/2),
    QApplication::desktop()->height()/2-(height()/2) );
    QWidget::show();
}
